from signal import signal, SIGTERM, SIGINT

from tornado.ioloop import IOLoop

from tfw.event_handler_base import EventHandlerBase
from tfw.components import PipeIOEventHandler


if __name__ == '__main__':
    pipe_io = PipeIOEventHandler(
        '',
        '/tmp/tfw_send',
        '/tmp/tfw_recv'
    )

    event_handlers = EventHandlerBase.get_local_instances()
    def stop(sig, frame):
        for eh in event_handlers:
            eh.stop()
        exit(0)
    signal(SIGTERM, stop)
    signal(SIGINT, stop)

    IOLoop.instance().start()
